Subject: RE: bug#32252: [PATCH] %o and %x now format signed numbers

From: Drew Adams <[email-masked]>
Date: Mon, 23 Jul 2018 21:15:56 -0700 (PDT)

> > Put that motivation in NEWS.  Users deserve to be told why
> > things change incompatibly.
> 
> OK, here's a revised NEWS entry. It also mentions avoiding read/print
> misbehavior, a more-immediate prompt for this change that I forgot to
> mention
> previously.
> 
> ** Numbers formatted via %o or %x are now formatted as signed integers.
> Formerly they were formatted using machine-dependent two's complement
> representations.  The new behavior is machine-independent, avoids
> misbehavior in calls like (read (format "#x%x" -1)), and is more
> compatible with bignums, a planned feature.  To get the old behavior,
> set the new, experimental variable binary-as-unsigned to t and please
> email [email-masked] if you need that.  Because %o and %x now
> format signed integers, they now support the + and space flags.
> (Bug#32252).

Thank you for providing the rationale.  A minor suggestion would
be to drop "new, experimental".  There's no way of knowing now
whether the variable will be only temporary/experimental, and
no reason to broadcast that supposition.  I'd also suggest that
you remove the part about emailing that bug thread.  Also, maybe
"space" should be `SPC' (dunno).

IMO it's good to let us know why the change was made.